OPENPAM(3)

NAME
- Pluggable Authentication Modules Library

LIBRARY
libpam

SYNOPSIS
#include <security/openpam.h>

DESCRIPTION
These functions are OpenPAM extensions to the PAM API. Those named pam_*() are, in the author's opinion, logical and necessary extensions to the standard API, while those named openpam_*() are either simple convenience functions, or functions intimately tied to OpenPAM implementation details, and therefore not well suited to standardization.

SEE ALSO

STANDARDS
X/Open Single Sign-On Service (XSSO) - Pluggable Authentication Modules, June 1997.

AUTHORS
The OpenPAM library and this manual page were developed for the FreeBSD Project by ThinkSec AS and Network Associates Laboratories, the Security Research Division of Network Associates, Inc. under DARPA/SPAWAR contract N66001-01-C-8035 (“CBOSS”), as part of the DARPA CHATS research program.

The OpenPAM library is maintained by Dag-Erling Smørgrav <des@des.no>.